Subject: bug#45821: Emacs UDP support on Windows

From: Alex Matei <[email-masked]>
Date: Mon, 2 Jan 2023 15:59:23 +0000

I like the nt/INSTALL.W64 file<https://github.com/emacs-mirror/emacs/blob/master/nt/INSTALL.W64> but somehow I found Step-by-step instructions to build Emacs for Windows 64 bit with MSYS2 and MinGW-w64. Now `native-comp` supported. (github.com)<https://gist.github.com/nauhygon/f3b44f51b34e89bc54f8> more useful. I was wondering if we are allowed to add links to such gists / blogposts? (I understand that they can become obsolete at some point, but a section like useful references would be nice)

  *   If you look at the gist, it gives a more detailed step-by-step approach around setting MYSYS
  *   I am not 100% that the packages listed in nt/INSTALL.W64 are sufficient, on a fresh installation of MYSYS -> I will have to check if there are any gaps

My problem with patching:

  *   I didn’t know how to consume @Robert Pluim<mailto:[email-masked]>’s change ☹ I had to read a blog post (Working with Git and patches in Emacs (ane.iki.fi)<https://ane.iki.fi/emacs/patches.html>) on how git am works and that I can manually save the text from his change to a file and then use that file to apply changes to my Emacs branch…
  *   What made it weird in the beginning was that I only had the information from #45821 - 28.0.50; Add UDP support for Emacs on Windows - GNU bug report logs<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=45821> and most of the apply patch examples refer to you having received an email with the patches as an attachment and then performing actions on it (in my case, I didn’t have any email)

For me, having a good walkthrough with examples is really useful and that’s why I am asking if we can include links to such blogposts:

  *   I benefited from a walkthrough on MYSYS installation + emacs building
  *   I benefited from a walkthrough on email patches
I am hoping others could find this useful too when they first take a look at building Emacs themselves.

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

________________________________
From: Eli Zaretskii <[email-masked]>
Sent: Monday, January 2, 2023 4:07:50 AM
To: Alex Matei <[email-masked]>
Cc: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Subject: Re: bug#45821: Emacs UDP support on Windows

> Cc: "[email-masked]" <[email-masked]>
> From: Alex Matei <[email-masked]>
> Date: Sun, 1 Jan 2023 23:01:04 +0000
>
> * Can we make the documentation for developing for Emacs more discoverable? Maybe with a markdown
>  / .org README?

Which development documentation did you find hard to discover?  Please
be more specific.

> * Are we allowed to update the README with more up-to date information, on the series of MYSYS
>  packages needed to be downloaded, and potentially with links to blog posts that describe the process in

That was already done a few days ago, please look at the latest Git
repository, in the nt/INSTALL.W64 file.

> * Can we add sections about creating/ applying patches to the README?

This stuff is in CONTRIBUTE.

> * I had a bit of work to discover how  `git am` works , and the whole business of email patches, etc.

This is not specific to Emacs, so I don't think it's our job to teach
this.  You can always ask on emacs-devel if you have problems
figuring this stuff out.

> * It would be great if all of this will be part of the original README

The purpose of README is different, and it's already quite large.  We
describe this in CONTRIBUTE.

> * Where can I find more information about logging from C code?

Use the function 'message'.

> * Ideally I would like to compile Emacs with some new C functions, and then easily observe the behavior of
>  these functions

I use the debugger when I need this.  It is much more flexible and
dfoesn't require me to decide up front what exactly I want to log.